关闭

使用yum在centos下安装最新版的ffmpeg

536人阅读 评论(0) 收藏 举报

网上看到一个yum安装ffmpeg的博客,但是那个博客是装的yum软件库里面的ffmpeg是0.6版本的不是最新版,用不了-vf旋转视频这个参数,那个博客地址是http://www.cnblogs.com/dennisit/archive/2012/12/27/2835089.html。

下面我说一下怎么安装最新的ffmpeg。

首先安装编译环境,如果系统有就不用安装了。

yum install -y automake autoconf libtool gcc gcc-c++ 

yum install make

yum install svn

如果还需要其他的软件就按照下面的方式安装。

yum search **

yum install **

到此,我们就可以通过svn命令获取最新的ffmpeg了

svn checkout svn://svn.mplayerhq.hu/ffmpeg/trunk ffmpeg

你会发现在你所在的目录,自动出现一个ffmpeg的目录,就是你下载的源代码。

切换到ffmpeg目录下,执行以下命令。

./configure --prefix=/usr 

make 

make install

安装完毕,运行ffmpeg命令试一下,把mov文件转换为mp4文件,保证相应目录下有qq.mov这个文件,注意大小写。

ffmpeg -i /usr/local/movi/qq.mov -r 25 -b 3200k -vcodec mpeg4 -ab 128k -ac 2 -ar 44100  /usr/local/movi/kk.mp4。


安装过程可能会遇到错

编译FFMPEG时,出现了 ffmpeg yasm not found, use --disable-yasm for a crippled build,是因为 FFMPEG了提高编译速度,使用了汇编指令,如果系统中没有yasm指令的话,就会出现上述的问题。

解决办法是:

A 如果是Windows系统, 从网上下载一个 yasm.exe 并安装在mingw/bin下面,重新编译,就不会出现该错误了;

B 如果是Linux系统,则更简单,直接在终端输入 sudo apt-get install yasm ,安装好后,重新编译就 OK了。


解决上述问题办法,按步执行
curl http://www.tortall.net/projects/yasm/releases/yasm-1.2.0.tar.gz >yasm.tar.gz
tar xzvf yasm.tar.gz
cd yasm-1.2.0
./configure
make
sudo make install 

三:测试

进入/data/ffmpeg/bin目录;

./ffmpeg -v




0
0

查看评论
* 以上用户言论只代表其个人观点,不代表CSDN网站的观点或立场
    个人资料
    • 访问:657478次
    • 积分:11064
    • 等级:
    • 排名:第1431名
    • 原创:395篇
    • 转载:17篇
    • 译文:5篇
    • 评论:171条
    我的联系方式
    企鹅: 991433544
    QQ:212553177
    最新评论